View Issue Details

IDProjectCategoryView StatusLast Update
0035241FPC[All Projects] Generalpublic2019-12-06 10:58
ReporterAndrew ZeninAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformi-386OSwindowsOS Versionwindows 10 x64
Product VersionProduct Build 
Target VersionFixed in Version3.3.1 
Summary0035241: TSQLite3Connection.GetNextValue faults with <<near "FOR": syntax error.>>
Descriptionsqldb.pp string 2000
[code=pascal
]function TSQLConnection.GetNextValueSQL(const SequenceName: string; IncrementBy: Integer): string;
begin
  Result := 'SELECT NEXT VALUE FOR ' + SequenceName;
end;
[/code]
This code isn't correct for sqlite3, which faults with <<near "FOR": syntax error.>>
Obviously, this method must be redeclared for TSQLite3Connection (file sqlite3conn.pp), but this isn't done.
Please, redeclare this with something like
[code=MySQL]
SELECT seq+1 FROM sqlite_sequence WHERE name=<sequencename>
[/code]
Steps To ReproduceUse Sqlite3 component set in pair with SQLite 3.2.5
1. set up TSQLite3Connection
2. call TSQLite3Connection.GetNextValue
Alternative
1. set up TSQLQuery
2. set TSQLQuery.Sequence property
3. try to save new sql database entry
Additional InformationSQLite 3.2.5
Tags2.0RC3, 32-bit, 64-bit, Database, DB, sqlite, windows
Fixed in Revision43655
FPCOldBugId
FPCTarget3.2.0
Attached Files

Activities

Michael Van Canneyt

2019-03-17 17:33

administrator   ~0114901

I had already a patch for this, but it is not yet committed.
I will apply it ASAP.

Michael Van Canneyt

2019-12-06 10:58

administrator   ~0119657

Fixed.

Issue History

Date Modified Username Field Change
2019-03-17 17:02 Andrew Zenin New Issue
2019-03-17 17:06 Andrew Zenin Tag Attached: 2.0RC3
2019-03-17 17:06 Andrew Zenin Tag Attached: 32-bit
2019-03-17 17:06 Andrew Zenin Tag Attached: 64-bit
2019-03-17 17:06 Andrew Zenin Tag Attached: Database
2019-03-17 17:06 Andrew Zenin Tag Attached: DB
2019-03-17 17:06 Andrew Zenin Tag Attached: sqlite
2019-03-17 17:06 Andrew Zenin Tag Attached: windows
2019-03-17 17:33 Michael Van Canneyt Assigned To => Michael Van Canneyt
2019-03-17 17:33 Michael Van Canneyt Status new => assigned
2019-03-17 17:33 Michael Van Canneyt Note Added: 0114901
2019-12-05 23:23 Michael Van Canneyt Project Lazarus => FPC
2019-12-05 23:23 Michael Van Canneyt Category Database Components => General
2019-12-06 10:58 Michael Van Canneyt Status assigned => resolved
2019-12-06 10:58 Michael Van Canneyt Resolution open => fixed
2019-12-06 10:58 Michael Van Canneyt Fixed in Version => 3.3.1
2019-12-06 10:58 Michael Van Canneyt Fixed in Revision => 43655
2019-12-06 10:58 Michael Van Canneyt FPCTarget => 3.2.0
2019-12-06 10:58 Michael Van Canneyt Note Added: 0119657